import '@das-fed/ui/packages/components/drawer/style.css';
import { withInstall as u } from "@das-fed/utils/with-install/index";
import { defineComponent as f, ref as m, createElementBlock as w, openBlock as h, createVNode as y, unref as s, mergeProps as _, createSlots as v, withCtx as l, createElementVNode as g, normalizeStyle as $, renderSlot as i, normalizeProps as n, guardReactiveProps as p } from "vue";
import { ElDrawer as b } from "element-plus";
import "element-plus/es/components/drawer/style/css";
import { getVar as c, setThemeRule as k } from "@das-fed/web/packages/theme/index";
const D = { class: "das-ui-drawer" }, S = /* @__PURE__ */ f({
  __name: "Index",
  props: {
    title: {},
    bodyStyle: { type: [Boolean, null, String, Object, Array] }
  },
  setup(o, { expose: a }) {
    let r = o;
    const t = m(null);
    return a({
      $drawer: t
    }), (e, E) => (h(), w("div", D, [
      y(s(b), _({
        ref_key: "$drawer",
        ref: t,
        title: s(r).title
      }, e.$attrs), v({
        default: l(() => [
          g(
            "div",
            {
              class: "das-drawer__body",
              style: $(s(r).bodyStyle)
            },
            [
              i(e.$slots, "default", {}, void 0, !0)
            ],
            4
            /* STYLE */
          )
        ]),
        _: 2
        /* DYNAMIC */
      }, [
        e.$slots.header ? {
          name: "header",
          fn: l((d) => [
            i(e.$slots, "header", n(p(d)), void 0, !0)
          ]),
          key: "0"
        } : void 0,
        e.$slots.footer ? {
          name: "footer",
          fn: l((d) => [
            i(e.$slots, "footer", n(p(d)), void 0, !0)
          ]),
          key: "1"
        } : void 0
      ]), 1040, ["title"])
    ]));
  }
}), x = (o, a) => {
  const r = o.__vccOpts || o;
  for (const [t, e] of a)
    r[t] = e;
  return r;
}, z = /* @__PURE__ */ x(S, [["__scopeId", "data-v-d5ff24cc"]]), B = {
  "--das-ui-drawer-border": "#D9D9D9",
  // 边框线条设置
  "--das-ui-drawer-header-color": c("--das-ui-color-normal"),
  // 抽屉-头部-字体颜色
  "--das-ui-drawer-header-height": "50px",
  // 抽屉-头部-高度
  "--das-ui-drawer-header-padding-lr": "16px",
  // 抽屉-头部-padding-左右
  "--das-ui-drawer-header-font-size": "18px",
  // 抽屉-头部-字体大小
  "--das-ui-drawer-close-font-size": "16px",
  // 抽屉-关闭按钮-字体大小
  "--das-ui-drawer-close-color": c("--das-ui-color-help"),
  // 抽屉-关闭按钮-颜色
  "--das-ui-drawer-body-padding": "16px"
  // 抽屉-内容-padding
};
k(B);
const O = u(z);
export {
  O as DasDrawer,
  O as default
};
